Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# VirusShiftMutation< FitT > Class Template Reference

Works for 1-bit virus; shifts the one to the right or left. More...

`#include <VirusOp.h>`

Inheritance diagram for VirusShiftMutation< FitT >:

List of all members.

## Public Member Functions
| VirusShiftMutation ()
| Ctor.
virtual std::string | className () const
| The class name.
bool | operator() (eoVirus< FitT > &_chrom)
| Change one bit.

## Detailed Description

### template<class FitT>
class VirusShiftMutation< FitT >

Works for 1-bit virus; shifts the one to the right or left.

Definition at line 86 of file VirusOp.h.

## Member Function Documentation

template<class FitT>
bool VirusShiftMutation< FitT >::operator() | ( | eoVirus< FitT > & | _chrom | ) | `[inline, virtual]`

  | Change one bit. Parameters:
  | chrom | The cromosome which one bit is going to be changed.
Implements eoUF< eoVirus< FitT > &, bool >. Definition at line 99 of file VirusOp.h.

The documentation for this class was generated from the following file:

- VirusOp.h